<?php

require_once('wp-load.php');

global $wp_version;
$core_updates = 0;

wp_version_check();

$core = get_site_transient('update_core');

foreach($core->updates as $update) {
        if($update->current != $wp_version) {
                $core_updates++;
        }
}

if($core_updates) {
        print("CRITICAL : $core_updates core updates available !\n");
        exit(2);
} else {
        print("OK : no core update available\n");
        exit(0);
}

print("CRITICAL : Error in " . __FILE__ . "\n");
exit(2);

?>
